Skip to main content
GET
Greeks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

expiry
string
required

A single expiry date in ISO date format.

Example:

"2024-02-02T00:00:00.000Z"

Response

The greek values for a set of call and put contracts at the same strike and expiry for a ticker.

call_charm
string
Example:

"9.2"

call_delta
string

The delta of the option trade.

Example:

"0.610546281537814"

call_gamma
string

The gamma of the option trade.

Example:

"0.00775013889662635"

call_option_symbol
string

The option symbol of the contract.

You can use the following regex to extract underlying ticker, option type, expiry & strike: ^(?<symbol>[\w]*)(?<expiry>(\d{2})(\d{2})(\d{2}))(?<type>[PC])(?<strike>\d{8})$

Keep in mind that the strike needs to be multiplied by 1,000.

call_rho
string

The rho of the option trade.

Example:

"0.2316546330093438"

call_theta
string

The theta of the option trade.

Example:

"-0.0640155364004474"

call_vanna
string
Example:

"-0.9"

call_vega
string

The vega of the option trade.

Example:

"0.3140468475903719"

call_volatility
string

The implied volatility of the option trade.

Example:

"0.604347250962543"

date
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

expiry
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

put_charm
string
Example:

"9.2"

put_delta
string

The delta of the option trade.

Example:

"0.610546281537814"

put_gamma
string

The gamma of the option trade.

Example:

"0.00775013889662635"

put_option_symbol
string

The option symbol of the contract.

You can use the following regex to extract underlying ticker, option type, expiry & strike: ^(?<symbol>[\w]*)(?<expiry>(\d{2})(\d{2})(\d{2}))(?<type>[PC])(?<strike>\d{8})$

Keep in mind that the strike needs to be multiplied by 1,000.

put_rho
string

The rho of the option trade.

Example:

"0.2316546330093438"

put_theta
string

The theta of the option trade.

Example:

"-0.0640155364004474"

put_vanna
string
Example:

"-0.9"

put_vega
string

The vega of the option trade.

Example:

"0.3140468475903719"

put_volatility
string

The implied volatility of the option trade.

Example:

"0.604347250962543"

strike
string

The strike price of an option contract.

Example:

"150.0"

Last modified on September 29, 2026